<p><?php echo __( 'When creating templates for auto-insertion of content, you will need to use the following magic tags for Attachments.', 'attachmentsui' ); ?></p>

<h2><?php echo __( 'Required', 'attachmentsui' ); ?></h2>
<p><?php echo __( 'Two magic tags <strong>are required</strong> for the template system:', 'attachmentsui' ); ?></p>

<table>
    <colgroup>
        <col class="magic-tag" />
        <col class="magic-tag-description" />
    </colgroup>
    <thead>
    <tr>
        <th><?php echo __( 'Magic Tag', 'attachmentsui' ); ?></th>
        <th><?php echo __( 'Description', 'attachmentsui' ); ?></th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td><code>{@begin_attachments_loop}</code></td>
        <td><?php echo __( 'Opens the loop for existing Attachments', 'attachmentsui' ); ?></td>
    </tr>
    <tr>
        <td><code>{@end_attachments_loop}</code></td>
        <td><?php echo __( 'Closes the loop for existing Attachments', 'attachmentsui' ); ?></td>
    </tr>
    </tbody>
</table>

<p><?php echo __( 'These two tags are required for the template to be complete. The content between these two tags <em>will be used for each added Attachment</em>.', 'attachmentsui' ); ?></p>

<div class="booster">

    <h2><?php echo __( 'Available Magic Tags', 'attachmentsui' ); ?></h2>
    <p><?php echo __( 'The following magic tags can be used within <code>{@begin_attachments_loop}</code> and <code>{@end_attachments_loop}</code>', 'attachmentsui' ); ?></p>

    <table>
        <colgroup>
            <col class="magic-tag" />
            <col class="magic-tag-description" />
        </colgroup>
        <thead>
        <tr>
            <th><?php echo __( 'Magic Tag', 'attachmentsui' ); ?></th>
            <th><?php echo __( 'Description', 'attachmentsui' ); ?></th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td><code>{@id}</code></td>
            <td><?php echo __( 'The Attachment ID according to the WordPress Media library', 'attachmentsui' ); ?></td>
        </tr>
<!--        <tr>-->
<!--            <td><code>{@name}</code></td>-->
<!--            <td>--><?php //echo __( 'The Attachment name according to the WordPress Media library', 'attachmentsui' ); ?><!--</td>-->
<!--        </tr>-->
        <tr>
            <td><code>{@thumb}</code></td>
            <td><?php echo __( 'URL to the Attachment thumbnail', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@url}</code></td>
            <td><?php echo __( 'URL to the original Attachment URL (absolute URL to a file, or full image)', 'attachmentsui' ); ?></td>
        </tr>
<!--        <tr>-->
<!--            <td><code>{@download}</code></td>-->
<!--            <td>--><?php //echo __( 'Link that when visited will force the download of the Attachment', 'attachmentsui' ); ?><!--</td>-->
<!--        </tr>-->
        <tr>
            <td><code>{@type}</code></td>
            <td><?php echo __( 'Attachment mime type according to the WordPress Media library', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@subtype}</code></td>
            <td><?php echo __( 'Attachment mime subtype according to the WordPress Media library', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@imagesize.filesize}</code></td>
            <td><?php echo __( 'Formatted filesize', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@imagesize.url}</code></td>
            <td><?php echo __( 'Substitute <code>imagesize</code> with an image size. Provides the absolute URL.', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@imagesize.width}</code></td>
            <td><?php echo __( 'Substitute <code>imagesize</code> with an image size. Provides the width in px.', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@imagesize.height}</code></td>
            <td><?php echo __( 'Substitute <code>imagesize</code> with an image size. Provides the height in px.', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@filesize}</code></td>
            <td><?php echo __( 'Provides the formatted filesize.', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@imagesize.filesize}</code></td>
            <td><?php echo __( 'Substitute <code>imagesize</code> with an image size. Provides the formatted filesize.', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@field_fieldname}</code></td>
            <td><?php echo __( 'Substitute <code>fieldname</code> with the desired field name as it is defined.', 'attachmentsui' ); ?></td>
        </tr>
        <tr>
            <td><code>{@index}</code></td>
            <td><?php echo __( 'Numerical representation of the current Attachment index. Useful for giving items within the loop an <code>id</code>', 'attachmentsui' ); ?></td>
        </tr>
        </tbody>
    </table>

    <p><?php echo __( 'These tags can be used in any combination to achieve your desired markup.', 'attachmentsui' ); ?></p>

</div>

<div class="booster">

    <h2><?php echo __( 'Sample Template', 'attachmentsui' ); ?></h2>
    <p><?php echo __( 'The following example template will output available Attachments in an unordered list. You can add your own CSS to style everything.', 'attachmentsui' ); ?></p>

<textarea style="display:block; width:100%; height:17em; resize:none; font-family:monospace;">&lt;h2&gt;Attachments&lt;/h2&gt;
&lt;ul class=&quot;attachments&quot;&gt;
    {@begin_attachments_loop}
        &lt;li id=&quot;attachment-{@index}&quot;&gt;
            &lt;h4&gt;{@field_title}&lt;/h4&gt;
            &lt;p class=&quot;thumbnail&quot;&gt;&lt;a href=&quot;{@url}&quot; class=&quot;lightbox&quot;&gt;
                &lt;img src=&quot;{@thumbnail.url}&quot; alt=&quot;{@field_caption}&quot; /&gt;
            &lt;/a&gt;&lt;/p&gt;
            &lt;p class&quot;filesize&quot;&gt;{@thumbnail.filesize}&lt;/p&gt;
        &lt;/li&gt;
    {@end_attachments_loop}
&lt;/ul&gt;</textarea>

</div>